clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::CodeActionParams Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::CodeActionParams:
[legend]

## Public Attributes
TextDocumentIdentifier | textDocument
| The document in which the command was invoked. More...
Range | range
| The range for which the command was invoked. More...
CodeActionContext | context
| Context carrying additional information. More...

## Detailed Description

Definition at line 613 of file Protocol.h.

## Member Data Documentation

## ◆ context

CodeActionContext clang::clangd::CodeActionParams::context

Context carrying additional information.

Definition at line 621 of file Protocol.h.

Referenced by clang::clangd::asCommand(), and clang::clangd::fromJSON().

## ◆ range

Range clang::clangd::CodeActionParams::range

The range for which the command was invoked.

Definition at line 618 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

## ◆ textDocument

TextDocumentIdentifier clang::clangd::CodeActionParams::textDocument

The document in which the command was invoked.

Definition at line 615 of file Protocol.h.

Referenced by clang::clangd::asCommand(), and clang::clangd::fromJSON().

The documentation for this struct was generated from the following file:

- Protocol.h